const http = require('http');

const client = () => {
  return new Promise((resolve, reject) => {
    http.get(`http://localhost:3000/client?clientId=${process.env.MICROGEN_CLIENT_ID}&clientSecret=${process.env.MICROGEN_CLIENT_SECRET}`, (resp: any) => {
      let data = '';

      // A chunk of data has been recieved.
      resp.on('data', (chunk: any) => {
        data += chunk;
      });

      // The whole response has been received. Print out the result.
      resp.on('end', () => {
        const response = JSON.parse(data);
        console.log(response);
        if(response.status == 'success') {
          resolve("success");
        } else {
          resolve("failed");
        }
      });

    }).on("error", (err: any) => {
      console.log("Error: " + err.message);
      resolve("failed")
    });
  })
}

module.exports = {
  client
}

